PRODUCT_ARTIFACT_PATH_REQUIREMENT_ALLOWED_LIST += \
root/init.recovery.qcom.rc \
system/app/ODLT/ODLT.apk \
system/app/Protips/Protips.apk \
system/app/Protips/oat/arm64/Protips.odex \
system/app/Protips/oat/arm64/Protips.vdex \
system/app/Qmmi/Qmmi.apk \
system/bin/curl \
system/bin/mmi \
system/bin/move_wifi_data.sh \
system/bin/qvrdatalogger \
system/bin/qvrservice \
system/bin/qvrservicetest \
system/bin/qvrservicetest64 \
system/etc/apns-conf.xml \
system/etc/excluded-input-devices.xml \
system/etc/init/qvrd.rc \
system/etc/mmi/fail.png \
system/etc/mmi/fonts.ttf \
system/etc/mmi/pass.png \
system/etc/mmi/strings-zh-rCN.xml \
system/etc/mmi/strings.xml \
system/etc/permissions/com.qti.location.sdk.xml \
system/etc/permissions/com.qualcomm.location.xml \
system/etc/permissions/com.qualcomm.qmapbridge.xml \
system/etc/permissions/com.qualcomm.qti.izattools.xml \
system/etc/permissions/izat.xt.srv.xml \
system/etc/permissions/privapp-permissions-com.qualcomm.location.xml \
system/etc/permissions/privapp-permissions-qti.xml \
system/etc/qvr/6dof_config.xml \
system/etc/qvr/qvrservice_config.txt \
system/etc/sysconfig/qti_whitelist.xml \
system/etc/wfdconfigsink.xml \
system/framework/QPerformance.jar \
system/framework/UxPerformance.jar \
system/framework/WfdCommon.jar \
system/framework/com.qti.location.sdk.jar \
system/framework/izat.xt.srv.jar \
system/framework/oat/arm/com.qti.location.sdk.art \
system/framework/oat/arm/com.qti.location.sdk.odex \
system/framework/oat/arm/com.qti.location.sdk.vdex \
system/framework/oat/arm64/com.qti.location.sdk.art \
system/framework/oat/arm64/com.qti.location.sdk.odex \
system/framework/oat/arm64/com.qti.location.sdk.vdex \
system/framework/qcom.fmradio.jar \
system/framework/qmapbridge.jar \
system/framework/tcmiface.jar \
system/framework/tcmclient.jar \
system/framework/telephony-ext.jar \
system/lib/libOpenCL_system.so \
system/lib/libcurl.so \
system/lib/libeye_tracking_dsp_sample_stub.so \
system/lib/libjni_imageutil.so \
system/lib/libjni_snapcammosaic.so \
system/lib/libjni_snapcamtinyplanet.so \
system/lib/liblocationservice_jni.so \
system/lib/libmmi.so \
system/lib/libmmi_jni.so \
system/lib/libqvr_cam_cdsp_driver_stub.so \
system/lib/libqvr_cdsp_driver_stub.so \
system/lib/libqvr_eyetracking_plugin.so \
system/lib/libqvrcamera_client.qti.so \
system/lib/libqvrservice.so \
system/lib/libqvrservice_client.qti.so \
system/lib/libqvrservice_ov7251_hvx_tuning.so \
system/lib/libqvrservice_ov9282_hvx_tuning.so \
system/lib/libsensor_calibration.so \
system/lib/libstagefright_soft_flacdec.so \
system/lib/libstagefright_softomx.so \
system/lib/libxt_native.so \
system/lib/rfsa/adsp/libqvr_dsp_driver_skel.so \
system/lib/rfsa/adsp/libtracker_6dof_skel_8150.so \
system/lib64/libOpenCL_system.so \
system/lib64/libbluetooth-binder.so \
system/lib64/libjni_imageutil.so \
system/lib64/libjni_snapcammosaic.so \
system/lib64/libjni_snapcamtinyplanet.so \
system/lib64/liblocationservice_jni.so \
system/lib64/libmediaplayerservice.so \
system/lib64/libmmi.so \
system/lib64/libmmi_jni.so \
system/lib64/libqvrcamera_client.qti.so \
system/lib64/libqvrservice_client.qti.so \
system/lib64/libqvrservice_ov7251_hvx_tuning.so \
system/lib64/libqvrservice_ov9282_hvx_tuning.so \
system/lib64/libstagefright_httplive.so \
system/lib64/libxt_native.so \
system/priv-app/SnapdragonCamera/SnapdragonCamera.apk \
system/priv-app/xtra_t_app/xtra_t_app.apk \
system/usr/keylayout/gpio-keys.kl

PRODUCT_ARTIFACT_PATH_REQUIREMENT_ALLOWED_LIST += \
system/app/Qmmi/lib/arm64/libmmi_jni.so \
system/app/Qmmi/oat/arm64/Qmmi.odex \
system/app/Qmmi/oat/arm64/Qmmi.vdex \
system/app/WfdClient/WfdClient.apk \
system/app/com.qualcomm.qti.qlogcat/com.qualcomm.qti.qlogcat.apk \
system/etc/sysconfig/preinstalled-packages-platform-full-base.xml \
system/framework/oat/arm/tcmclient.odex \
system/framework/oat/arm/tcmclient.vdex \
system/framework/oat/arm64/tcmclient.odex \
system/framework/oat/arm64/tcmclient.vdex \
system/lib/com.dsi.ant@1.0.so \
system/lib/libdiagbridge.so \
system/lib/libloc2jnibridge.so \
system/lib/libnbaio.so \
system/lib/libqvr_mapper_stub.so \
system/lib/libsxrservice_client.qti.so \
system/lib/libtextclassifier_hash.so \
system/lib/libtflite.so \
system/lib/rfsa/adsp/libVIOMapping_6dof_skel_1130.so \
system/lib/rfsa/adsp/libdsp_streamer_qvrcam_receiver.so \
system/lib/rfsa/adsp/libeye_tracking_dsp_sample_skel.so \
system/lib/rfsa/adsp/libqvr_cam_dsp_driver_skel.so \
system/lib/rfsa/adsp/libqvr_dsp_driver_skel_v65.so \
system/lib/rfsa/adsp/libqvr_mapper_skel_v65.so \
system/lib/rfsa/adsp/libtracker_6dof_skel_1130.so \
system/lib/rfsa/adsp/libtracker_6dof_skel_7150.so \
system/lib/rfsa/adsp/libtracker_6dof_skel_8250.so \
system/lib64/com.dsi.ant@1.0.so \
system/lib64/libdiagbridge.so \
system/lib64/libloc2jnibridge.so \
system/lib64/libsensor_calibration.so \
system/lib64/libsxrservice_client.qti.so \
system/lib64/libtextclassifier_hash.so \
system/lib64/libtflite.so \
system/lib/android.hardware.nfc@1.0.so \
system/lib/android.hardware.nfc@1.1.so \
system/lib/android.hardware.nfc@1.2.so \
system/lib64/android.hardware.nfc@1.0.so \
system/lib64/android.hardware.nfc@1.1.so \
system/lib64/android.hardware.nfc@1.2.so \
system/lib/vendor.qti.hardware.audiohalext-utils.so
